Create 2
Create an action run
Creates a new action run. This endpoint is deprecated and will be removed in a future version. Use: POST '/abx/api/resources/actions/{action-id}/action-runs'
Request
URI
POST
https://vcfa-10-162-161-9.vcfd.broadcom.net/abx/api/resources/action-runs
COPY
Request Body
ActionRun
of type(s)
application/json
Required
{
"id": "string",
"name": "string",
"createdMillis": 0,
"orgId": "string",
"runState": "string",
"actionId": "string",
"actionType": "string",
"inputs": {},
"outputs": {},
"errorMessage": "string",
"logs": "string",
"triggeredBy": "string",
"endTimeMillis": 0,
"startTimeMillis": 0,
"runtime": "string",
"provider": "string",
"source": "string",
"timeoutSeconds": 0,
"projectId": "string",
"runProjectId": "string",
"scalable": false,
"actionVersionId": "string",
"actionVersionName": "string",
"configuration": {},
"system": false
}
string
id
Optional
id
string
name
Optional
name
integer As int64
As int64
createdMillis
Optional
createdMillis
string
orgId
Optional
orgId
string
runState
Optional
runState
Possible values are :
CREATED,
DEPLOYING,
RUNNING,
FINISHING,
COMPLETED,
DEPLOYMENT_FAILED,
FAILED,
CANCELLED,
UNKNOWN,
DEPLOYED,
HANDLING_ERROR,
string
actionId
Optional
actionId
string
actionType
Optional
actionType
Possible values are :
SCRIPT,
REST_CALL,
REST_POLL,
FLOW,
VAULT,
CYBERARK,
object
inputs
Optional
inputs
object
outputs
Optional
outputs
string
errorMessage
Optional
errorMessage
string
logs
Optional
logs
string
triggeredBy
Optional
triggeredBy
integer As int64
As int64
endTimeMillis
Optional
endTimeMillis
integer As int64
As int64
startTimeMillis
Optional
startTimeMillis
string
runtime
Optional
runtime
string
provider
Optional
provider
string
source
Optional
source
integer As int32
As int32
timeoutSeconds
Optional
timeoutSeconds
string
projectId
Optional
projectId
string
runProjectId
Optional
runProjectId
boolean
scalable
Optional
scalable
string
actionVersionId
Optional
actionVersionId
string
actionVersionName
Optional
actionVersionName
object
configuration
Optional
configuration
boolean
system
Optional
system
Responses
200
OK
Returns
ActionRun
of type(s)
*/*
{
"id": "string",
"name": "string",
"createdMillis": 0,
"orgId": "string",
"runState": "string",
"actionId": "string",
"actionType": "string",
"inputs": {},
"outputs": {},
"errorMessage": "string",
"logs": "string",
"triggeredBy": "string",
"endTimeMillis": 0,
"startTimeMillis": 0,
"runtime": "string",
"provider": "string",
"source": "string",
"timeoutSeconds": 0,
"projectId": "string",
"runProjectId": "string",
"scalable": false,
"actionVersionId": "string",
"actionVersionName": "string",
"configuration": {},
"system": false
}
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/abx/api/resources/action-runs
Deprecated
Action Runs Operations
GET
Get All Action Run Projections
POST
Create 2
Deprecated
DELETE
Delete
PATCH
Cancel Action Run
GET
Get Action Run By Id
DELETE
Delete 1